routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Admin\HomeController;
use App\Http\Controllers\Admin\UserController;
use App\Http\Controllers\Admin\StoreController;


/* Admin Routes */
Route::name('admin.')->middleware(['auth','role:admin'])->group(function () {
    Route::get('/', function(){return Redirect::to('admin/home');});
    Route::get('home', [HomeController::class, 'index'])->name('home');

    // Users Management Page
    Route::resource('users', UserController::class)->except([
        'create', 'show', 'update'
    ]);
    Route::get('users/list', [UserController::class, 'getUsersData'])->name('users.list');
    Route::post('users/reset-password', [UserController::class, 'resetPassword'])->name('users.reset_password');
    Route::get('users/{user}/{status}/update-status', [UserController::class, 'updateStatus'])->name('users.update_status');
    Route::get('users/{user}/{status}/update-type', [UserController::class, 'updateType'])->name('users.update_type');


    // Stores Management Page
    Route::resource('stores', StoreController::class)->except([
        'create', 'show', 'update'
    ]);
    Route::get('stores/list', [StoreController::class, 'getStoresData'])->name('stores.list');

});

?>

routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Auth\AuthController;


Route::get('/', [AuthController::class, 'index'])->name('login');
Route::get('/register', [AuthController::class, 'register'])->name('register');
Route::get('logout', [AuthController::class, 'logout'])->name('logout');

//Authentications
Route::name('auth.')->group(function () {

    // For Login
    Route::controller(AuthController::class)->group(function () {
        Route::post('request', 'authenticate')->name('authenticate');
        Route::post('/register/store','registerStore')->name('register.store');
    });
    
    
});

resources/views/admin/layout/breadcrumb.blade.php
<section class="content-header breadcrumb">
    <div class="container-fluid">
      <div class="row">
        <div class="col-sm-6">
          <h1 class="m-0">{{ View::getSection('title') }}</h1>
        </div>
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="javascript:;">Home</a></li>
            <li class="breadcrumb-item active">{{ View::getSection('title') }}</li>
          </ol>
        </div>
      </div>
    </div>
</section>

resources/views/admin/layout/footer.blade.php
  <!-- <aside class="control-sidebar control-sidebar-dark">
    
    <div class="p-3">
      <h5>Title</h5>
      <p>Sidebar content</p>
    </div>
  </aside> -->

<!-- Main Footer -->
<footer class="main-footer">
    <!-- To the right -->
    <div class="float-right d-none d-sm-inline">
      Version 1.0
    </div>
    <!-- Default to the left -->
    <strong>Copyright &copy; {{ date('Y') }} <a href="#">CubeOwl Pte Ltd</a></strong> All rights reserved.
</footer>

resources/views/admin/layout/navbar.blade.php
<!-- Navbar -->
  <nav class="main-header navbar navbar-expand navbar-white">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
      <li class="nav-item">
        <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
      </li>
    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav mr-auto">

     
      <li class="nav-item">
        <a href="{{route('admin.users.index')}}" data-toggle="tooltip" data-html="true" data-placement="top" title="Users Management" class="btn nav-link btn-outline-success btn-block btn-sm"><i class="fa fa-users"></i>   </a>
      </li>
      &nbsp;
      <li class="nav-item">
        <a href="{{route('admin.stores.index')}}" data-toggle="tooltip" data-html="true" data-placement="top" title="Stores Management"  class="btn nav-link btn-outline-primary btn-block btn-sm"><i class="fa fa-store"></i>   </a>
      </li>
      &nbsp;
      <li class="nav-item">
        <a href="javascript:;" data-toggle="tooltip" data-html="true" data-placement="top" title="Profile Update" onclick="editProfile({{Auth::id()}})" class="btn nav-link btn-outline-info btn-block btn-sm"><i class="fa fa-user-edit"></i> </a>
      </li>
      &nbsp;
      <li class="nav-item">
        <a href="javascript:;" data-toggle="tooltip" data-html="true" data-placement="top" title="Reset Password"  onclick="resetPassword({{Auth::id()}})" class="btn nav-link btn-outline-danger btn-block btn-sm"><i class="fa fa-user-shield"></i>   </a>
      </li>


    </ul>

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">

      

      <li class="nav-item">
        <a class="nav-link" data-widget="fullscreen" href="#" role="button">
        <i class="fas fa-expand-arrows-alt"></i>
        </a>
      </li>
      

      <li class="nav-item">
        <a href="{{ route('logout') }}" class="nav-link">Logout</a>
      </li>
    </ul>
  </nav>
  <!-- /.navbar -->

resources/views/admin/layout/sidebar.blade.php
 <!-- Main Sidebar Container -->
  <aside class="main-sidebar sidebar-dark-danger elevation-4">
    
    
    <a href="{{ route('admin.home') }}" class="brand-link">
      <img src="{{ asset('dist/img/cube-owl-1.png') }}" alt="COMPANY LOGO" class="brand-image img-square elevation-3">
      <span class="brand-text font-weight-bold text-white"> CubeOwl Pte Ltd </span>
    </a>

    <!-- Sidebar -->
    <div class="sidebar">
      <!-- Sidebar user panel (optional) -->
      <div class="user-panel mt-3 pb-3 mb-3 d-flex">
        <div class="image">
          @if(strtolower(auth()->user()->profile->gender)=='male')
            <img src="{{ asset('dist/img/avatar5.png') }}" class="img-circle elevation-2" alt="Male Default Photo">
          @else
            <img src="{{ asset('dist/img/avatar2.png') }}" class="img-circle elevation-2" alt="Female Default Photo">
          @endif
         
        </div>
        <div class="info">
          <a href="#" class="d-block">{{ auth()->user()->profile->getFullName()  }}</a>
        </div>
      </div>

      <!-- Sidebar Menu -->
      <nav class="mt-2">
        <ul class="nav nav-pills nav-sidebar flex-column text-md nav-flat" data-widget="treeview" role="menu" data-accordion="false">
      
            <li class="nav-item">
              <a href="{{ route('admin.home') }}" class="nav-link {{ (request()->is('admin/home'))? 'active': '' }}">
                <i class="fas fa-home"></i>
                <p>Dashboard</p>
              </a>
            </li>

            <li class="nav-item">
              <a href="{{ route('admin.users.index') }}" class="nav-link {{ (request()->is('admin/users'))? 'active': '' }}">
                <i class="fas fa-users"></i>
                <p>Users Management</p>
              </a>
            </li>

            
            <li class="nav-item">
              <a href="{{ route('admin.stores.index') }}" class="nav-link {{ (request()->is('admin/stores'))? 'active': '' }}">
                <i class="fas fa-store"></i>
                <p>Stores Management</p>
              </a>
            </li>

        

          {{-- <li class="nav-header">Menu Heading</li> --}}

         

     

         
          
        </ul>
      </nav>
      <!-- /.sidebar-menu -->
    </div>
    <!-- /.sidebar -->
  </aside>